---
title: animation-iteration-count
slug: Web/CSS/animation-iteration-count
tags:
  - CSS
  - CSS Animations
  - CSS Property
  - CSS Property Animations
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>animation-iteration-count</code></strong> <a href="/en/CSS">CSS</a> property sets the number of times an animation sequence should be played before stopping.</p>

<p>If multiple values are specified, each time the animation is played the next value in the list is used, cycling back to the first value after the last one is used.</p>

<div>{{EmbedInteractiveExample("pages/css/animation-iteration-count.html")}}</div>

<p>It is often convenient to use the shorthand property {{cssxref("animation")}} to set all animation properties at once.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword value */
animation-iteration-count: infinite;

/* &lt;number&gt; values */
animation-iteration-count: 3;
animation-iteration-count: 2.4;

/* Multiple values */
animation-iteration-count: 2, 0, infinite;</pre>

<p>The <strong><code>animation-iteration-count</code></strong> property is specified as one or more comma-separated values.</p>

<h3 id="Values">Values</h3>

<dl>
	<dt><code>infinite</code></dt>
	<dd>The animation will repeat forever.</dd>
	<dt><code>{{cssxref("&lt;number&gt;")}}</code></dt>
	<dd>The number of times the animation will repeat; this is <code>1</code> by default. You may specify non-integer values to play part of an animation cycle: for example, <code>0.5</code> will play half of the animation cycle. Negative values are invalid.</dd>
</dl>

<div class="note">
<p><strong>Note</strong>: When you specify multiple values on an <code>animation-*</code> property, they will be assigned to the animations specified in the {{cssxref("animation-name")}} property in different ways depending on how many there are. For more information, see <a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations#Setting_multiple_animation_property_values">Setting multiple animation property values</a>.</p>
</div>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="The_animation_will_run_10_times.">The animation will run 10 times.</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div class="box"&gt;&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.box {
  background-color: rebeccapurple;
  border-radius: 10px;
  width: 100px;
  height: 100px;
  animation-name: rotate;
  animation-duration: 0.7s;
  animation-iteration-count: 10;
}

@keyframes rotate {
  0% {
    transform: rotate(0);
  }
  100% {
    transform: rotate(360deg);
  }
}</pre>

<p>{{EmbedLiveSample("Examples","100%","250")}}</p>

<p>See <a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations">CSS animations</a> for examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{ SpecName('CSS3 Animations', '#animation-iteration-count', 'animation-iteration-count') }}</td>
			<td>{{ Spec2('CSS3 Animations') }}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.animation-iteration-count")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations" title="Tutorial about CSS animations">Using CSS animations</a></li>
	<li>JavaScript {{domxref("AnimationEvent")}} API</li>
</ul>
